# Uses of Interface
org.springframework.beans.factory.parsing.SourceExtractor

Packages that use SourceExtractor
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of SourceExtractor in org.springframework.beans.factory.parsing

Classes in org.springframework.beans.factory.parsing that implement SourceExtractor
Modifier and Type
Class
Description
`class`
`NullSourceExtractor`
Simple implementation of `SourceExtractor` that returns `null` as the source metadata.
`class`
`PassThroughSourceExtractor`
Simple `SourceExtractor` implementation that just passes the candidate source metadata object through for attachment.
Methods in org.springframework.beans.factory.parsing that return SourceExtractor
Modifier and Type
Method
Description
`SourceExtractor`
ReaderContext.`getSourceExtractor()`
Return the source extractor in use.
Constructors in org.springframework.beans.factory.parsing with parameters of type SourceExtractor
Modifier
Constructor
Description
``
`ReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor)`
Construct a new `ReaderContext`.

## Uses of SourceExtractor in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type SourceExtractor
Modifier and Type
Method
Description
`void`
XmlBeanDefinitionReader.`setSourceExtractor(SourceExtractor sourceExtractor)`
Specify the `SourceExtractor` to use.
Constructors in org.springframework.beans.factory.xml with parameters of type SourceExtractor
Modifier
Constructor
Description
``
`XmlReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor, XmlBeanDefinitionReader reader, NamespaceHandlerResolver namespaceHandlerResolver)`
Construct a new `XmlReaderContext`.